• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

php 5.2.11 upgrade from 5.2.10 - Possible issues?

Dav

Active member
#1
Hi,

I am running two separate domains on the same host.

One of my domains uses xenforo 1.2.1 and the other will use the latest 1.4.1

When i try to install the latest version it says i need to upgrade php to version 5.2.11 or newer.

Will this affect how the site that uses 1.2.1 works?

I know i can update the earlier version but i can't access updates at the moment as they have run out.

Thanks
 

Dav

Active member
#4
Upgrade to PHP 5.6.0 if you can, there shouldn't be a problem.
You should be running at least the latest 5.4.x
Thanks guys.

Can anyone tell me what this server error means?


Server Error
The xcache extension must be loaded for using this backend !

  1. Zend_Cache::throwException() in Zend/Cache/Backend/Xcache.php at line 76
  2. Zend_Cache_Backend_Xcache->__construct() in Zend/Cache.php at line 153
  3. Zend_Cache::_makeBackend() in Zend/Cache.php at line 94
  4. Zend_Cache::factory() in XenForo/Application.php at line 718
  5. XenForo_Application->loadCache()
  6. call_user_func_array() in XenForo/Application.php at line 921
  7. XenForo_Application->lazyLoad() in XenForo/Application.php at line 952
  8. XenForo_Application::get() in XenForo/Application.php at line 1376
  9. XenForo_Application::getCache() in XenForo/Model.php at line 146
  10. XenForo_Model->_getCache() in XenForo/Model/DataRegistry.php at line 26
  11. XenForo_Model_DataRegistry->get() in XenForo/Application.php at line 729
  12. XenForo_Application->loadOptions()
  13. call_user_func_array() in XenForo/Application.php at line 921
  14. XenForo_Application->lazyLoad() in XenForo/Application.php at line 952
  15. XenForo_Application::get() in XenForo/Model/User.php at line 908
  16. XenForo_Model_User->getVisitingGuestUser() in XenForo/Visitor.php at line 419
  17. XenForo_Visitor::setup() in XenForo/Install/Controller/Upgrade.php at line 50
  18. XenForo_Install_Controller_Upgrade->_setupSession() in XenForo/Controller.php at line 304
  19. XenForo_Controller->preDispatch() in XenForo/FrontController.php at line 336
  20. XenForo_FrontController->dispatch() in XenForo/FrontController.php at line 134
  21. XenForo_FrontController->run() in /var/www/vhosts/disabilitysanctuary.com/httpdocs/forum/install/index.php at line 18
 

Brent W

Well-known member
#5
You have config.php setup to use xcache but xcache is not loaded. I am guessing when you recompiled PHP xcache was not added back.
 

Brent W

Well-known member
#7
How do i add this back. I am still not great at this kind of stuff :)
If you are using a control panel you should have an option somewhere. In the mean time, you can remove the code from your config.php to stop the error.
 

Dav

Active member
#8
If you are using a control panel you should have an option somewhere. In the mean time, you can remove the code from your config.php to stop the error.
Thank you for your help so far

This is the snippet i have from my config file that relates. What can i take out to correct this error?

$config['cache']['backend'] = 'xcache';
$config['cache']['enabled'] = true;
$config['cache']['frontend'] = 'Core';
$config['cache']['frontendOptions']['cache_id_prefix'] = 'xf_';
$config['cache']['cacheSessions'] = false;